/*
Firmware for an auto-baudrate-detector and -convertor implemented in an
ATTiny2313.
(C) 2009 Jeroen Domburg (jeroen AT spritesmods.com)

This program is free software: you can redistribute it and/or modify
t under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
	    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
			    
You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "io.h"
#include <avr/io.h>
#include <util/delay.h>

//Pins
#define LCDD7	PB0


void initIo(void) {
    //Init gpio
    DDRD=(1<<5);
    DDRB=(1<<0)|(1<<7);
    //Init UART
    UCSRA=0;
    UCSRB=0x98; //enable tx, rx and rx int
    UCSRC=0x06; //8n1
    UBRRL=10; //115200 baud
}
