
#define TICKBUFFLEN 8

//Buffer of the tick-count of the last n low-values
extern volatile unsigned long tickBuff[TICKBUFFLEN];
//Position in that buffer. If ==8, main.c is working on it and
//it shouldn't be written to.
extern volatile char tickPos;

//Base delay of the software UART.
extern volatile unsigned int uartBase;


extern volatile unsigned char swUartRxErrs;
extern volatile unsigned char swUartRxChars;
extern volatile char uartShouldRecv;
extern volatile int uartRecvStartTime;


void timerInit(void);
void swUartSend(unsigned char byte);
int swUartRecv(void);
